Page MenuHomePhabricator

Add fields to VisualEditorFeatureUse
Closed, ResolvedPublic

Description

This task is about adding additional fields to the VisualEditorFeatureUse schema [1][2]. These "additional fields" are listed below.

Additional fields

  • Integration
  • Editor_interface
  • Platform
  • User_id
  • User_editcount
  • Bucket

Done

  • The "Additional fields" have been added to the VisualEditorFeatureUse schema.

  1. https://www.mediawiki.org/wiki/VisualEditor/FeatureUse_data_dictionary
  2. https://meta.wikimedia.org/wiki/Schema:VisualEditorFeatureUse

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 15 2020, 10:51 PM

@DLynch is there a patch [1] that should be "attached" to this task and code reviewed?

...this change [2] to the Schema:VisualEditorFeatureUse meta page, led me to ask.


  1. E.g. 594809 or 598542
  2. https://meta.wikimedia.org/?oldid=18457512&diff=20118253

The relevant patch was 598542. It's merged, so this has happened now.

Esanders assigned this task to DLynch.Jun 4 2020, 2:51 PM
Esanders added a subscriber: Esanders.

This was moved back to doing?

Change 594809 had a related patch set uploaded (by DLynch; owner: DLynch):
[mediawiki/extensions/DiscussionTools@master] Hook up VisualEditorFeatureUse logging

https://gerrit.wikimedia.org/r/594809

Change 594809 merged by jenkins-bot:
[mediawiki/extensions/DiscussionTools@master] Hook up VisualEditorFeatureUse logging

https://gerrit.wikimedia.org/r/594809

ppelberg closed this task as Resolved.Jun 13 2020, 1:49 AM

QA is happening in: